Get generated contest CSV reports with download links
Rate limit: Maximum 60 requests in a window of 1m.
curl --request POST \
--url https://backend.codedamn.com/api/public/get-contest-csv-report-export-data \
--header 'Content-Type: application/json' \
--data '
{
"data": [
{
"data": {
"pageSize": 20,
"pageNumber": 5000,
"fermionDigitalProductId": "<string>",
"searchLookupTerm": "<string>"
}
}
]
}
'[
{
"output": {
"status": "ok",
"data": {
"totalRecordsCount": 123,
"pageNumber": 2,
"pageData": [
{
"reportId": "<string>",
"reportCreatedAt": "2023-11-07T05:31:56Z",
"reportName": "<string>",
"reportStatus": "Processed",
"reportDownloadUrl": "<string>"
}
]
}
}
}
]API Request Body
Show child attributes
Show child attributes
Fixed page size of 20 records
20 Page number to retrieve
1 <= x <= 10000Contest digital product ID
Search term for filtering reports by name
API Response Body
Show child attributes
ok Show child attributes
Total number of reports available
Current page number
x >= 1List of contest CSV reports
Show child attributes
Unique report identifier
When the report was created
Name of the report
1Report is processed and ready for download
Processed URL to download the processed report
curl --request POST \
--url https://backend.codedamn.com/api/public/get-contest-csv-report-export-data \
--header 'Content-Type: application/json' \
--data '
{
"data": [
{
"data": {
"pageSize": 20,
"pageNumber": 5000,
"fermionDigitalProductId": "<string>",
"searchLookupTerm": "<string>"
}
}
]
}
'[
{
"output": {
"status": "ok",
"data": {
"totalRecordsCount": 123,
"pageNumber": 2,
"pageData": [
{
"reportId": "<string>",
"reportCreatedAt": "2023-11-07T05:31:56Z",
"reportName": "<string>",
"reportStatus": "Processed",
"reportDownloadUrl": "<string>"
}
]
}
}
}
]